# TCGBTermsContentDetail Class Reference

Inherits from | NSObject
Declared in | TCGBTermsContentDetail.h TCGBTermsContentDetail.m

## Properties

### `termsContentSeq`

Terms item key

`@property (assign) int termsContentSeq`

#### Declared In

`TCGBTermsContentDetail.h`

### `name`

Terms item name

`@property (nonatomic, strong) NSString *name`

#### Declared In

`TCGBTermsContentDetail.h`

### `required`

Whether terms item is required

`@property (assign) BOOL required`

#### Declared In

`TCGBTermsContentDetail.h`

### `agreePush`

Whether to AD push (“NONE”, “ALL”, “DAY”, “NIGHT”)

`@property (nonatomic, strong) NSString *agreePush`

#### Declared In

`TCGBTermsContentDetail.h`

### `agreed`

Whether the user agrees to terms item

`@property (assign) BOOL agreed`

#### Declared In

`TCGBTermsContentDetail.h`

### `node1DepthPosition`

Step 1 Item Exposure Order

`@property (assign) int node1DepthPosition`

#### Declared In

`TCGBTermsContentDetail.h`

### `node2DepthPosition`

Step 2 Item Exposure Order

`@property (assign) int node2DepthPosition`

#### Discussion

Warning: If it is does not exist, the value is -1.

#### Declared In

`TCGBTermsContentDetail.h`

### `detailPageUrl`

Terms item detail URL

`@property (nonatomic, strong, nullable) NSString *detailPageUrl`

#### Declared In

`TCGBTermsContentDetail.h`

## Initialization

### `+ termsContentDetailWithTermsContentSeq:name:required:agreePush:agreed:node1DepthPosition:node2DepthPosition:detailPageUrl:`

Creates a TCGBTermsContentDetail instance with several properties.

`+ (instancetype)termsContentDetailWithTermsContentSeq:(int)termsContentSeq name:(NSString *)name required:(BOOL)required agreePush:(NSString *)agreePush agreed:(BOOL)agreed node1DepthPosition:(int)node1DepthPosition node2DepthPosition:(int)node2DepthPosition detailPageUrl:(nullable NSString *)detailPageUrl`

#### Parameters

`termsContentSeq` | Terms item key
`name` | Terms item name
`required` | Whether terms item is required
`agreePush` | Whether to AD push
`agreed` | Whether the user agrees to terms item
`node1DepthPosition` | Step 1 Item Exposure Order
`node2DepthPosition` | Step 2 Item Exposure Order
`detailPageUrl` | Terms item detail URL

#### Declared In

`TCGBTermsContentDetail.h`

### `+ termsContentDetailWithDictionary:`

Creates a TCGBTermsContentDetail instance with several properties.

`+ (instancetype)termsContentDetailWithDictionary:(NSDictionary<NSString*,id> *)result`

#### Parameters

`result` | This dictionary must have keys such as `termsContentSeq`, `name`, etc.

#### Declared In

`TCGBTermsContentDetail.h`